*********************************
*       IntEquates.ASM          *
*********************************

; **** Intuition routine lib offsets

_LVOOpenIntuition     EQU   -30         ; ()
_LVOIntuition         EQU   -36         ; (iEvent)   (a0)
_LVOAddGadget         EQU   -42         ; (addPTR,gadget,Position)  (a0,a1,d0)
_LVOClearDMRequest    EQU   -48         ; (window)   (a0)
_LVOClearMenuStrip    EQU   -54         ; (window)   (a0)
_LVOClearPointer      EQU   -60         ; (window)   (a0)
_LVOCloseScreen       EQU   -66         ; (screen)   (a0)
_LVOCloseWindow       EQU   -72         ; (window)   (a0)
_LVOCloseWorkBench    EQU   -78         ; ()
_LVOCurrentTime       EQU   -84         ; (seconds,micros)  (a0,a1)
_LVODisplayAlert      EQU   -90         ; (AlertNum,string,height)  (d0,a0,d1)
_LVODisplayBeep       EQU   -96         ; (screen)  (a0)
_LVODoubleClick       EQU   -102        ; (sSec,sMics,cSecs,cMics) (d0,d1,d2,d3)
_LVODrawBorder        EQU   -108        ; (RP,brdr,Loffset,Toffset) (a0,a1,d0,d1)
_LVODrawImage         EQU   -114        ; (RP,imag,Loffset,Toffset) (a0,a1,d0,d1)
_LVOEndRequest        EQU   -120        ; (requester,window) (a0,a1)
_LVOGetDefPrefs       EQU   -126        ; (preferences,size)  (a0,d0)
_LVOGetPrefs          EQU   -132        ; (preferences,size)  (a0,d0)
_LVOInitRequester     EQU   -138        ; (requester)  (a0)
_LVOItemAddress       EQU   -144        ; (MenuStrip,MenuNum)  (a0,d0)
_LVOModifyIDCMP       EQU   -150        ; (window, flags)  (a0,d0)
_LVOModifyProp        EQU   -156        ; (gadget, ptr, reg, flags, HPos, Vpos,
                                        ;  HBody, VBody)
                                        ; (a0,a1,a2,d0,d1,d2,d3,d4)
_LVOMoveScreen        EQU   -162        ; (screen, destX, destY)  (a0, d0, d1)
_LVOMoveWindow        EQU   -168        ; (window, destX, destY)  (a0, d0, d1)
_LVOOffGadget         EQU   -174        ; (gadget,PTR,req)  (a0,a1,a2)
_LVOOffMenu           EQU   -180        ; 
_LVOOnGadget          EQU   -186        ;
_LVOOnMenu            EQU   -192        ;
_LVOOpenScreen        EQU   -198        ;
_LVOOpenWindow        EQU   -204        ;
_LVOOpenWorkBench     EQU   -210        ;
_LVOPrintIText        EQU   -216        ;
_LVORefreshGadgets    EQU   -222        ;
_LVORemoveGadgets     EQU   -228        ;
_LVOReportMouse       EQU   -234        ;
_LVORequest           EQU   -240        ;
_LVOScreenToBack      EQU   -246        ;
_LVOScreenToFront     EQU   -252        ;
_LVOSetDMRequest      EQU   -258        ;
_LVOSetMenuStrip      EQU   -264        ;
_LVOSetPointer        EQU   -270        ;
_LVOSetWindowTitles   EQU   -276        ;
_LVOShowTitle         EQU   -282        ;
_LVOSizeWindow        EQU   -288        ;
_LVOViewAddress       EQU   -294        ;
_LVOViewPortAddress   EQU   -300        ;
_LVOWindowToBack      EQU   -306        ;
_LVOWindowToFront     EQU   -312        ;
_LVOWindowLimits      EQU   -318        ;
_LVOSetPrefs          EQU   -324        ;
_LVOIntuiTextLength   EQU   -330        ;
_LVOWBenchToBack      EQU   -336        ;
_LVOWBenchToFront     EQU   -342        ;
_LVOAutoRequest       EQU   -348        ;
_LVOBeginRefresh      EQU   -354        ;
_LVOBuildSysRequest   EQU   -360        ;
_LVOEndRefresh        EQU   -366        ;
_LVOFreeSysRequest    EQU   -372        ;
_LVOMakeScreen        EQU   -378        ;
_LVOReMakeDisplay     EQU   -384        ;
_LVOReThinkDisplay    EQU   -390        ;
_LVOAllocRemember     EQU   -396        ;
_LVOAlohaWorkBench    EQU   -402        ;
_LVOFreeRemember      EQU   -408        ;
_LVOLockIBase         EQU   -414        ;
_LVOUnlockIBase       EQU   -420        ;
_LVOGetScreenData     EQU   -426        ; (buffer,size,type,screen)(A0,D0,D1,A1)
_LVORefreshGList      EQU   -432        ; (Gadgets,Ptr,Req,NumGad)(A0/A1/A2,D0)
_LVOAddGList          EQU   -438        ; (AddPtr,Gadget,Position,NumGad,Requester)
                                        ; (  A0,     A1,     D0,    D1,    A2)
_LVORemoveGList       EQU   -444        ; (RemPtr,Gadget,NumGad)(A0/A1,D0)
_LVOActivateWindow    EQU   -450        ; (Window)(A0)
_LVORefreshWindowFrame EQU  -456        ; (Window)(A0)
_LVOActivateGadget    EQU   -462        ; (Gadgets,Window,Req)(A0/A1/A2)
_LVONewModifyProp     EQU   -468        ; (Gad,Ptr,Req,Flg,HPos,VPos,HBod,VBod,NumGad)
                                        ; (A0/A1/A2,D0/D1/D2/D3/D4/D5)



;*** Intuition constants and offsets

Activate              EQU   $1000
ActiveWindow          EQU   $40000
AltKeyMap             EQU   $1000
AutoKnob              EQU   $1

Backdrop              EQU   $100
Beeping               EQU   $20
BoolGadget            EQU   $1


Borderless            EQU   $800
BottomBorder          EQU   $80

Checked               EQU   $100
CheckIt               EQU   $1
Close                 EQU   $80
CloseWindow           EQU   $200
CommSeq               EQU   $4
Custom                EQU   $40
CustomBitMap          EQU   $40
CustomScreen          EQU   $F

DeltaMove             EQU   $100000
DiskInserted          EQU   $8000
DiskRemoved           EQU   $10000

EndGadget             EQU   $4

FollowMouse           EQU   $8
FreeHoriz             EQU   $2
FreeVert              EQU   $4


GadgBackFill          EQU   $1
GadgDisabled          EQU   $100
Gadget0002            EQU   $2
GadgetDown            EQU   $20
GadgetType            EQU   $FC00
GadgetUp              EQU   $40
GadgHBox              EQU   $1
GadgHComp             EQU   $0
GadgHighBits          EQU   $3
GadgHImage            EQU   $2
GadgHNone             EQU   $3
GadgImage             EQU   $4
GimmeZeroZero         EQU   $400
GrelBottom            EQU   $8
GrelHeight            EQU   $40
GrelRight             EQU   $10
GrelWidth             EQU   $20
GZZGadget             EQU   $2000       ;1=gadget for GimmeZeroZero borders

HighBox               EQU   $80
HighComp              EQU   $40
HighFlags             EQU   $C0
HighImage             EQU   $0
HighItem              EQU   $2000
HighNone              EQU   $C0


InActiveWindow        EQU   $80000
InRequest             EQU   $4000
IntuiTicks            EQU   $400000
IsDrawn               EQU   $1000


ItemEnabled           EQU   $10
ItemText              EQU   $2

KnobHit               EQU   $100
KnobHMin              EQU   $6
KnobVMin              EQU   $4

LeftBorder            EQU   $20



MaxBody               EQU   $FFFF
MaxPot                EQU   $FFFF

MenuCancel            EQU   $2
MenuDown              EQU   $69
MenuEnabled           EQU   $1
MenuHot               EQU   $1
MenuNull              EQU   $FFFF
MenuPick              EQU   $100
MenuState             EQU   $8000
MenuToggle            EQU   $8
MenuToggled           EQU   $4000
MenuUp                EQU   $E9
MenuVerify            EQU   $2000
MenuWaiting           EQU   $3
MIDrawn               EQU   $100
MouseButtons          EQU   $8
MouseMove             EQU   $10

NewPrefs              EQU   $4000
NewSize               EQU   $2
NoCareRefresh         EQU   $20000

Other_Refresh         EQU   $C0

PointRel              EQU   $1
PreDrawn              EQU   $2
PropBorderless        EQU   $8
PropGadget            EQU   $3

RawKey                EQU   $400
RefreshBits           EQU   $C0
RefreshWindow         EQU   $4
RelVerify             EQU   $1
ReqActive             EQU   $2000
ReqClear              EQU   $1000
ReqGadget             EQU   $1000
ReqOffWindow          EQU   $1000
ReqSet                EQU   $80
ReqVerify             EQU   $800
RightBorder           EQU   $10
RMBTrap               EQU   $10000

ScreenType            EQU   $F
ScrGadget             EQU   $4000





SelectDown            EQU   $6
Selected              EQU   $80
SelectUp              EQU   $E8
ShowTitle             EQU   $10

;  *** Various Struct Sizes ****

SIZE_Bord             EQU   $10
SIZE_Gadg             EQU   $2C
SIZE_IM               EQU   $34
SIZE_Imag             EQU   $14
SIZE_IT               EQU   $14
SIZE_Menu             EQU   $1E
SIZE_MI               EQU   $22
SIZE_NS               EQU   $20
SIZE_NW               EQU   $30
SIZE_PI               EQU   $16
SIZE_Req              EQU   $70
SIZE_SCRN             EQU   $15C
SIZE_SI               EQU   $24


Simple_Refresh        EQU   $40


SizeBBottom           EQU   $20
SizeBRight            EQU   $10
SizeVerify            EQU   $1
Sizing                EQU   $10



********  STRUCTURE Screen  Offset=0  ************

sc_NextScreen         EQU   0          ; linked list of screens
sc_FirstWindow        EQU   4          ; linked list Screen's Windows
sc_LeftEdge           EQU   8          ; parameters of the screen
sc_TopEdge            EQU   10         ; parameters of the screen
sc_Width              EQU   12         ; null-terminated Title text
sc_Height             EQU   14         ; for Windows without ScreenTitle
sc_MouseY             EQU   16         ; position relative to upper-left
sc_MouseX             EQU   18         ; position relative to upper-left
sc_Flags              EQU   20         ; see definitions below
sc_Title              EQU   22
sc_DefaultTitle       EQU   26
sc_BarHeight          EQU   30         ; Bar sizes for this Screen and 
sc_BarVBorder         EQU   31         ; all Window's in this Screen
sc_BarHBorder         EQU   32
sc_MenuVBorder        EQU   33
sc_MenuHBorder        EQU   34
sc_WBorTop            EQU   35
sc_WBorLeft           EQU   36
sc_WBorRight          EQU   37
sc_WBorBottom         EQU   38
sc_KludgeFill00       EQU   39         ; This is strictly for word-alignment 
sc_Font               EQU   40         ; this screen's default font
sc_SIZEOF             EQU   44         ; mark the end of what *I* need for now

; **** NEW SCREEN STRUCT OFFSETS ****

ns_LeftEdge           EQU   $0
ns_TopEdge            EQU   $2
ns_Width              EQU   $4
ns_Height             EQU   $6
ns_Depth              EQU   $8
ns_DetailPen          EQU   $A
ns_BlockPen           EQU   $B
ns_ViewModes          EQU   $C
ns_Type               EQU   $E
ns_Font               EQU   $10
ns_DefaultTitle       EQU   $14
ns_Gadgets            EQU   $18
ns_CustomBitMap       EQU   $1C

; *** StringInfo  Struct Offsets ****


si_AltKeyMap          EQU   $20
si_Buffer             EQU   $0
si_BufferPos          EQU   $8
si_CLeft              EQU   $14
si_CTop               EQU   $16
si_DispCount          EQU   $12
si_DispPos            EQU   $C
si_LayerPTR           EQU   $18
si_LongINT            EQU   $1C
si_MaxChars           EQU   $A
si_NumChars           EQU   $10
si_UndoBuffer         EQU   $4
si_UndoPos            EQU   $E







**** STRUCTURE WBStartup OFFSET=0 ********

sm_Message            EQU   0          ; a standard message structure
sm_Process            EQU   20		; the process descriptor for you
sm_Segment            EQU   24		; a descriptor for your code
sm_NumArgs            EQU   28		; the number of elements in ArgList
sm_ToolWindow         EQU   32		; description of window
sm_ArgList            EQU   36		; the arguments themselves
sm_SIZEOF             EQU   40

****** STRUCTURE WBArg OFFSET=0 *******

wa_Lock               EQU   0          ; a lock descriptor
wa_Name               EQU   4          ; a string relative to that lock
wa_SIZEOF             EQU   8

*********                *************


Smart_Refresh         EQU   $0
StrGadget             EQU   $4
StringCenter          EQU   $200
StringRight           EQU   $400
Super_BitMap          EQU   $80
SysGadget             EQU   $8000
SysRequest            EQU   $4000

ToggleSelect          EQU   $100
TopBorder             EQU   $40

VanillaKey            EQU   $200000

WBenchMessage         EQU   $20000
WBenchScreen          EQU   $1
WBenchWindow          EQU   $2000000

; ******  Window and IDCMP flags definitions *******

WindowActive          EQU   $2000
WindowClose           EQU   $8
WindowDepth           EQU   $4
WindowDrag            EQU   $2
WindowRefresh         EQU   $1000000
WindowSizing          EQU   $1
WindowTicked          EQU   $4000000



******* STRUCTURE Window Offset=0  *********


wd_NextWindow         EQU   0          ; for the linked list of a Screen
wd_LeftEdge           EQU   4          ; screen dimensions
wd_TopEdge            EQU   6          ; screen dimensions
wd_Width              EQU   8          ; screen dimensions
wd_Height             EQU   10         ; screen dimensions
wd_MouseY             EQU   12         ; relative top top-left corner 
wd_MouseX             EQU   14         ; relative top top-left corner 
wd_MinWidth           EQU   16         ; minimum sizes
wd_MinHeight          EQU   18         ; minimum sizes
wd_MaxWidth           EQU   20         ; maximum sizes
wd_MaxHeight          EQU   22         ; maximum sizes
wd_Flags              EQU   24         ; see below for definitions
wd_MenuStrip          EQU   28         ; first in a list of menu headers
wd_Title              EQU   32         ; title text for the Window
wd_FirstRequest       EQU   36         ; first in linked list of active Requesters 
wd_DMRequest          EQU   40         ; the double-menu Requester 
wd_ReqCount           EQU   44         ; number of Requesters blocking this Window
wd_WScreen            EQU   46         ; this Window's Screen
wd_RPort              EQU   50         ; this Window's very own RastPort
wd_BorderLeft         EQU   54
wd_BorderTop          EQU   55
wd_BorderRight        EQU   56
wd_BorderBottom       EQU   57
wd_BorderRPort        EQU   58
wd_FirstGadget        EQU   62
wd_Parent             EQU   66
wd_Descendant         EQU   70
wd_Pointer            EQU   74
wd_PtrHeight          EQU   78
wd_PtrWidth           EQU   79
wd_XOffset            EQU   80
wd_YOffset            EQU   81
wd_IDCMPFlags         EQU   82
wd_UserPort           EQU   86
wd_WindowPort         EQU   90
wd_MessageKey         EQU   94
wd_DetailPen          EQU   98
wd_BlockPen           EQU   99
wd_CheckMark          EQU   100
wd_ScreenTitle        EQU   104
wd_GZZMouseX          EQU   108
wd_GZZMouseY          EQU   110
wd_GZZWidth           EQU   112
wd_GZZHeight          EQU   114
wd_ExtData            EQU   116
wd_UserData           EQU   120
wd_WLayer             EQU   124        ; stash of Window.RPort->Layer
wd_IFont              EQU   128        ; new in 1.2 - font in case SetFont()

wd_Size               EQU   132


******* STRUCTURE  TextAttr Offset=0  ********

ta_Name               EQU   0          ;name of the desired font
ta_YSize              EQU   4          ;size of the desired font
ta_Style              EQU   6          ;desired font style
ta_Flags              EQU   7          ;font preferences
ta_SIZEOF             EQU   8


HIRES        EQU      $8000
LACE         EQU      $4

***** STRUCTURE Preferences  Offset=0  ************

pf_FontHeight         EQU        0
pf_PrinterPort        EQU        1     ; printer port connection
pf_BaudRate           EQU        2     ; timer struct
pf_KeyRptDelay        EQU        12    ;   "     "
pf_DoubleClick        EQU        20    ;   "     "
pf_PointerMatrix      EQU        28
pf_XOffset            EQU        100
pf_YOffset            EQU        101
pf_color17            EQU        102   ; pointer colours
pf_color18            EQU        104
pf_color19            EQU        106
pf_PointerTicks       EQU        108
pf_color0             EQU        110   ; WorkBench Colours
pf_color1             EQU        112
pf_color2             EQU        114
pf_color3             EQU        116
pf_ViewXOffset        EQU        118   ; position data for Intuition View
pf_ViewYOffset        EQU        119
pf_ViewInitX          EQU        120   ; View initial offsets at startup
pf_ViewInitY          EQU        122   ; View initial offsets at startup
pf_EnableCLI          EQU        124   ; CLI availability switch
pf_PrinterType        EQU        126   ; printer type
pf_PrinterFilename    EQU        128   ; file for printer (30 chars)
pf_PrintPitch         EQU        158   ; print pitch
pf_PrintQuality       EQU        160   ; print quality
pf_PrintSpacing       EQU        162   ; number of lines per inch
pf_PrintLeftMargin    EQU        164   ; left margin in characters
pf_PrintRightMargin   EQU        166   ; right margin in characters
pf_PrintImage         EQU        168   ; positive or negative
pf_PrintAspect        EQU        170   ; horizontal or vertical
pf_PrintShade         EQU        172   ; b&w, half-tone, or color
pf_PrintThreshold     EQU        174   ; darkness ctrl for b/w dumps
pf_PaperSize          EQU        176   ; paper size
pf_PaperLength        EQU        178   ; paper length in lines
pf_PaperType          EQU        180   ; continuous or single sheet
pf_SerRWBits          EQU        182   ; upper nibble = (8-number of read bits)
pf_SerStopBuf         EQU        183   ; upper nibble = (number of stop bits - 1)
pf_SerParShk          EQU        184   ; upper nibble = (value for Parity setting)
pf_LaceWB             EQU        185   ; if workbench is to be interlaced
pf_WorkName           EQU        186   ; temp file for printer (30 chars)
pf_RowSizeChange      EQU        216
pf_ColumnSizeChange   EQU        217
pf_PrintFlags         EQU        218   ; user preference flags
pf_PrintMaxWidth      EQU        220   ; max width of printed picture in 10ths/inch
pf_PrintMaxHeight     EQU        222   ; max height of printed picture in 10ths/inch 
pf_PrintDensity       EQU        224   ; print density
pf_PrintXOffset       EQU        225   ; offset of printed picture in 10ths/inch
pf_wb_Width           EQU        226   ; override default workbench width
pf_wb_Height          EQU        228   ; override default workbench height
pf_wb_Depth           EQU        230   ; override default workbench depth
pf_ext_size           EQU        231   ; extension information -- do not touch
                                       ; extension size in blocks of 64 bytes
pf_SIZEOF             EQU        232

;*** Border structure offsets ***

Bord_Backpen          EQU   $5
Bord_Count            EQU   $7
Bord_DrawMode         EQU   $6
Bord_FrontPen         EQU   $4
Bord_LeftEdge         EQU   $0
Bord_Next             EQU   $C
Bord_TopEdge          EQU   $2
Bord_XY               EQU   $8
;******* Gadget Struct offsets *****

GADG_Activation       EQU   $E
GADG_Flags            EQU   $C
GADG_Height           EQU   $A
GADG_ID               EQU   $26
GADG_LeftEdge         EQU   $4
GADG_MutualExclude    EQU   $1E
GADG_Next             EQU   $0
GADG_Render           EQU   $12
GADG_SelectRender     EQU   $16
GADG_SpecialInfo      EQU   $22
GADG_Text             EQU   $1A
GADG_TopEdge          EQU   $6
GADG_Type             EQU   $10
GADG_UserData         EQU   $28
GADG_Width            EQU   $8

; *** IntuiMessage struct offsets

IM_Class              EQU   $14
IM_Code               EQU   $18
IM_IAdress            EQU   $1C
IM_IDCMPWindow        EQU   $2C
IM_Message            EQU   $0
IM_Micros             EQU   $28
IM_MouseX             EQU   $20
IM_MouseY             EQU   $22
IM_Qualifier          EQU   $1A
IM_Seconds            EQU   $24
IM_SpecialLink        EQU   $30

; *****  IntuiText struct offsets ****

IT_BackPen            EQU   $1
IT_DrawMode           EQU   $2
IT_Font               EQU   $8
IT_FrontPen           EQU   $0
IT_LeftEdge           EQU   $4
IT_Next               EQU   $10
IT_Pad                EQU   $C
IT_Text               EQU   $3
IT_TopEdge            EQU   $6

; *** Menu Struct offsets ***

MENU_BeatX            EQU   $1A
MENU_BeatY            EQU   $1C
MENU_FirstItem        EQU   $12
MENU_Flags            EQU   $C
MENU_Height           EQU   $A
MENU_JazzX            EQU   $16
MENU_JazzY            EQU   $18
MENU_LeftEdge         EQU   $4
MENU_Name             EQU   $E
MENU_Next             EQU   $0
MENU_TopEdge          EQU   $6
MENU_Width            EQU   $8

; **** MENUITEM STRUCT OFFSETS ****

MI_Command            EQU   $1A
MI_Flags              EQU   $C
MI_Height             EQU   $A
MI_ItemFill           EQU   $12
MI_LeftEdge           EQU   $4
MI_MutualExclude      EQU   $E
MI_Next               EQU   $0
MI_NextSelect         EQU   $20
MI_Pad                EQU   $1B
MI_SelectFill         EQU   $16
MI_SubItem            EQU   $1C
MI_TopEdge            EQU   $6
MI_Width              EQU   $8

; *** NewWindow Struct offsets ******

nw_LeftEdge           EQU   $0
nw_TopEdge            EQU   $2
nw_Width              EQU   $4
nw_Height             EQU   $6
nw_DetailPen          EQU   $8
nw_BlockPen           EQU   $9
nw_IDCMPFlags         EQU   $A
nw_Flags              EQU   $E
nw_FirstGadget        EQU   $12
nw_CheckMark          EQU   $16
nw_Title              EQU   $1A
nw_Screen             EQU   $1E
nw_BitMap             EQU   $22
nw_MinWidth           EQU   $26
nw_MinHeight          EQU   $28
nw_MaxWidth           EQU   $2A
nw_MaxHeight          EQU   $2C
nw_Type               EQU   $2E

; **** PropInfo  Struct offsets ****

PI_Flags              EQU   $0
PI_HorizPot           EQU   $2
PI_VertPot            EQU   $4
PI_HorizBody          EQU   $6
PI_VertBody           EQU   $8
PI_CWidth             EQU   $A
PI_CHeight            EQU   $C
PI_HPotRes            EQU   $E
PI_VPotRes            EQU   $10
PI_LeftBorder         EQU   $12
PI_TopBorder          EQU   $14


; DONE!!!

