
************ SYSTEM (EXEC) LIBRARY ROUTINE OFFSETS  ************


_LVOSupervisor      EQU     -30        ; ()
_LVOExitIntr        EQU     -36        ; ()
_LVOSchedule        EQU     -42        ; ()
_LVOReSchedule      EQU     -48        ; ()
_LVOSwitch          EQU     -54        ; ()
_LVODispatch        EQU     -60        ; ()
_LVOException       EQU     -66        ; ()
_LVOInitCode        EQU     -72        ; (startclass, version)   (d0, d1)
_LVOInitStruct      EQU     -78        ; (initTable, mem,size)  (a1, a2, d0)
_LVOMakeLibrary     EQU     -84        ; (funcInit,StructInit,LibInit,DataSize,codeSize)
                                       ; (a0, a1, a2, d0, d1)
_LVOMakeFunctions   EQU     -90        ; (target, functionArray, funcDispBase)
                                       ; (a0, a1, a2)
_LVOFindResident    EQU     -96        ; (name)   (a1)
_LVOInitResident    EQU     -102       ; (resident, seglist)   (a1, d1)
_LVOAlert           EQU     -108       ; (AlertNum, parameters)   (d7, a5)
_LVODebug           EQU     -114       ; ()
_LVODisable         EQU     -120       ; ()
_LVOEnable          EQU     -126       ; ()
_LVOForbid          EQU     -132       ; ()
_LVOPermit          EQU     -138       ; ()
_LVOSetSR           EQU     -144       ; (newSR, mask)   (d0, d1)
_LVOSuperState      EQU     -150       ; ()
_LVOUserState       EQU     -156       ; (sysStack)   (d0)
_LVOSetIntVector    EQU     -162       ; (intNum, interrupt)   (d0, a1)
_LVOAddIntServer    EQU     -168       ; (intNum, interrupt)   (d0, a1)
_LVORemIntServer    EQU     -174       ; (intNum, Interrupt)   (d0, a1)
_LVOCause           EQU     -180       ; (interrupt)   (a1)
_LVOAllocate        EQU     -186       ; (freeList, byteSize)   (a0, d0)
_LVODeallocate      EQU     -192       ; (freeList,memblock,byteSize) (a0,a1,d0)
_LVOAllocMem        EQU     -198       ; (byteSize, requirements)   (d0, d1)
_LVOAllocAbs        EQU     -204       ; (byteSize, Location)   (d0, a1)
_LVOFreeMem         EQU     -210       ; (^memBlock, byteSize)   (a1, d0)
_LVOAvailMem        EQU     -216       ; (requirements)   (d1)
_LVOAllocEntry      EQU     -222       ; (entry)   (a0)
_LVOFreeEntry       EQU     -228       ; (entry)   (a0)
_LVOInsert          EQU     -234       ; (list, node, pred)   (a0, a1, a2)
_LVOAddHead         EQU     -240       ; (list, node)   (a0, a1)
_LVOAddTail         EQU     -246       ; (list, node)   (a0, a1)
_LVORemove          EQU     -252       ; (node)   (a0)
_LVORemHead         EQU     -258       ; (list)   (a0) 
_LVORemTail         EQU     -264       ; (list)   (a0)
_LVOEnqueue         EQU     -270       ; (list, node)   (a0, a1)
_LVOFindName        EQU     -276       ; (list, name)   (a0, a1)
_LVOAddTask         EQU     -282       ; (task, initPC, finalPC)   (a1, a2, a3)
_LVORemTask         EQU     -288       ; (task)   (a1)
_LVOFindTask        EQU     -294       ; (name)   (a1)
_LVOSetTaskPri      EQU     -300       ; (task, priority)   (a1, d0)
_LVOSetSignal       EQU     -306       ; (newsignals, signalset)   (d0, d1)
_LVOSetExcept       EQU     -312       ; (newSignals, signalset)   (d0, d1)
_LVOWait            EQU     -318       ; (signalset)   (d0)
_LVOSignal          EQU     -324       ; (task, signalset)   (a1, d0)
_LVOAllocSignal     EQU     -330       ; (signalNum)   (d0)
_LVOFreeSignal      EQU     -336       ; (signalNum)   (d0)
_LVOAllocTrap       EQU     -342       ; (trapNum)   (d0)
_LVOFreeTrap        EQU     -348       ; (trapNum)   (d0)
_LVOAddPort         EQU     -354       ; (port)   (a1)
_LVORemPort         EQU     -360       ; (port)   (a1)
_LVOPutMsg          EQU     -366       ; (port, mesg)   (a0, a1)
_LVOGetMsg          EQU     -372       ; (port)   (a0)
_LVOReplyMsg        EQU     -378       ; (message)   (a1)
_LVOWaitPort        EQU     -384       ; (port)   (a0)
_LVOFindPort        EQU     -390       ; (name)   (a1)
_LVOAddLibrary      EQU     -396       ; (library)   (a1)
_LVORemLibrary      EQU     -402       ; (library)   (a1)
_LVOOldOpenLibrary  EQU     -408       ; (libName)   (a1)
_LVOCloseLibrary    EQU     -414       ; (library)   (a1)
_LVOSetFunction     EQU     -420       ; (lib,funcOffset,funcEntry) (a1,a0,d0)
_LVOSumLibrary      EQU     -426       ; (library)   (a1)
_LVOAddDevice       EQU     -432       ; (device)   (a1)
_LVORemDevice       EQU     -438       ; (device)   (a1)
_LVOOpenDevice      EQU     -444       ; (devName,Unit,ioREQ,flags) (a0,d0,a1,d1)
_LVOCloseDevice     EQU     -450       ; (ioRequest)   (a1)
_LVODoIO            EQU     -456       ; (ioRequest)   (a1)
_LVOSendIO          EQU     -462       ; (ioRequest)   (a1)
_LVOCheckIO         EQU     -468       ; (ioRequest)   (a1)
_LVOWaitIO          EQU     -474       ; (ioRequest)   (a1)
_LVOAbortIO         EQU     -480       ; (ioRequest)   (a1)
_LVOAddResource     EQU     -486       ; (resource)   (a1)
_LVORemResource     EQU     -492       ; (resource)   (a1)
_LVOOpenResource    EQU     -498       ; (resName, version)   (a1, d0)
_LVORawIOInit       EQU     -504       ; ()
_LVORawMayGetChar   EQU     -510       ; ()
_LVORawPutChar      EQU     -516       ; (char)   (d0)
_LVORawDoFmt        EQU     -522       ; ()  (a0,a1,a2,a3)
_LVOGetCC           EQU     -528       ; ()
_LVOTypeOfMem       EQU     -534       ; (address)   (a1)
_LVOProcedure       EQU     -540       ; (semaPort, bidMesg)   (a0, a1)
_LVOVacate          EQU     -546       ; (semaPort)   (a0)
_LVOOpenLibrary     EQU     -552       ; (libName, version)  (a1, d0)


***************  MEMORY ALLOCATION CONSTANTS  *****************

MEMF_Chip            EQU    2
MEMF_Clear           EQU    65536
MEMF_Fast            EQU    4
MEMF_Largest         EQU    131072
MEMF_Public          EQU    1

SYSBase              EQU    4
AbsExecBase          EQU    4
